UpdateFailoverSlateConfiguration
Updates a specified failover slate configuration.
Request Syntax
POST /UpdateFailoverSlateConfiguration HTTP/1.1
Content-type: application/json
{
"activationThresholdSeconds": number,
"arn": "string",
"maxSlateDisplaySeconds": number,
"minSlateDisplaySeconds": number,
"name": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- activationThresholdSeconds
-
Number of seconds of ingest interruption before the failover slate activates. Default:
3.Type: Integer
Valid Range: Minimum value of 3. Maximum value of 5.
Required: No
- arn
-
ARN of the failover slate configuration to be updated.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
arn:aws:ivs:[a-z0-9-]+:[0-9]+:failover-slate-configuration/[a-zA-Z0-9-]+Required: Yes
- maxSlateDisplaySeconds
-
Maximum number of seconds that the failover slate displays. Default:
60.Type: Integer
Valid Range: Minimum value of 60. Maximum value of 180.
Required: No
- minSlateDisplaySeconds
-
Minimum number of seconds that the failover slate displays after activation. Default:
3.Type: Integer
Valid Range: Minimum value of 3. Maximum value of 10.
Required: No
- name
-
Failover-slate-configuration name. The value does not need to be unique.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
[a-zA-Z0-9-_]*Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"failoverSlateConfiguration": {
"activationThresholdSeconds": number,
"arn": "string",
"maxSlateDisplaySeconds": number,
"minSlateDisplaySeconds": number,
"name": "string",
"state": "string",
"tags": {
"string" : "string"
}
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- failoverSlateConfiguration
-
Object specifying the updated failover slate configuration.
Type: FailoverSlateConfiguration object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
User does not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
Updating or deleting a resource can cause an inconsistent state.
HTTP Status Code: 409
- InternalServerException
-
Unexpected error during processing of request.
HTTP Status Code: 500
- ResourceNotFoundException
-
Request references a resource which does not exist.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
Request would cause a service quota to be exceeded.
HTTP Status Code: 402
- ThrottlingException
-
Request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by an AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: